package nc.ui.gl.assattriquerybalance;

import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.lang.reflect.Constructor;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.Iterator;
import javax.swing.DefaultCellEditor;
import javax.swing.JFrame;
import javax.swing.event.CellEditorListener;
import javax.swing.event.ChangeEvent;
import nc.bs.logging.Logger;
import nc.itf.gl.assattriquerybalance.IDocAttribute;
import nc.ui.bd.BDGLOrgBookAccessor;
import nc.ui.bd.def.DefaultDefdocRefModel;
import nc.ui.bd.ref.AbstractRefModel;
import nc.ui.gl.accsubjref.AccsubjRefPane;
import nc.ui.gl.assattriquerybalance.AssAttributesRefTbCellEditor;
import nc.ui.gl.lang.GlPubLangConstant;
import nc.ui.glcom.ass.AssRefPanel;
import nc.ui.glcom.ass.RefModel;
import nc.ui.glcom.control.GlComboBox;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.beans.UIComboBox;
import nc.ui.pub.beans.UITablePane;
import nc.ui.pub.beans.table.VOTableModel;
import nc.vo.bd.b02.BdinfoVO;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.datacache.BDInfoDataCache;
import nc.vo.glcom.ass.AssVO;
import nc.vo.glcom.balance.AssAttributeVO;
import nc.vo.glcom.balance.AttrsValueVO;
import nc.vo.glcom.balance.GLQueryObj;
import nc.vo.glcom.tools.GLPubProxy;
import nc.vo.ml.NCLangRes4VoTransl;
import nc.vo.pub.ValueObject;

public class QueryObjectList extends UITablePane {

   private QueryObjectList.QueryObjectListTableModel m_tableModel = null;
   private UIComboBox ivjcbDspPos = null;
   private ClientEnvironment env = null;
   private BdinfoVO[] refData1 = null;
   private BdinfoVO subjRefDate = null;
   private String[] verInfo = null;
   private String[] showName = null;
   private AssRefPanel ivjAssRefPanel1 = null;
   private GlComboBox ivjcbQryObj = null;
   private Hashtable hashTblRefValues = null;
   private AccsubjRefPane ivjAccsubjRefPane1 = null;
   private GLQueryObj[] m_vos = null;
   private String pk_orgbook = null;


   protected BdinfoVO getSubjRefDate() {
      return this.subjRefDate;
   }

   public QueryObjectList() {
      this.initialize();
   }

   public QueryObjectList(int arg1, int arg2) {
      super(arg1, arg2);
   }

   private AssRefPanel getAssRefPanel1() {
      if(this.ivjAssRefPanel1 == null) {
         try {
            this.ivjAssRefPanel1 = new AssRefPanel();
            this.ivjAssRefPanel1.setName("AssRefPanel1");
            this.ivjAssRefPanel1.setLocation(328, 180);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjAssRefPanel1;
   }

   private UIComboBox getcbDspPos() {
      if(this.ivjcbDspPos == null) {
         try {
            this.ivjcbDspPos = new UIComboBox();
            this.ivjcbDspPos.setName("cbDspPos");
            this.ivjcbDspPos.setLocation(484, 143);
            this.ivjcbDspPos.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000197"));
            this.ivjcbDspPos.addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000192"));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjcbDspPos;
   }

   public QueryObjectList.QueryObjectListTableModel getTableModel() {
      if(this.m_tableModel == null) {
         try {
            GLQueryObj[] e = new GLQueryObj[10];

            for(int i = 0; i < 10; ++i) {
               e[i] = new GLQueryObj();
            }

            this.m_tableModel = new QueryObjectList.QueryObjectListTableModel(e);
            this.m_tableModel.setQuryObjVOs(e);
         } catch (Exception var3) {
            var3.printStackTrace();
         }
      }

      return this.m_tableModel;
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("QueryObjectList");
         this.setSize(420, 93);
      } catch (Throwable var3) {
         this.handleException(var3);
      }

      this.getTable().setModel(this.getTableModel());
      this.getTable().setCellSelectionEnabled(true);
      this.getTable().setAutoResizeMode(0);
      DefaultCellEditor positionEditer = new DefaultCellEditor(this.getcbDspPos());
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000231")).setCellEditor(positionEditer);
      DefaultCellEditor qryObjEditer = new DefaultCellEditor(this.getcbQryObj());
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000140")).setCellEditor(qryObjEditer);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000140")).setPreferredWidth(70);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000140")).setWidth(70);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setPreferredWidth(90);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setWidth(90);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000231")).setPreferredWidth(90);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000231")).setWidth(90);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000232")).setPreferredWidth(55);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000232")).setWidth(55);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000233")).setPreferredWidth(70);
      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000233")).setWidth(70);
      this.initData(this.getPk_orgbook());
      this.hashTblRefValues = new Hashtable();
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         QueryObjectList aQueryObjectList = new QueryObjectList();
         exception.setContentPane(aQueryObjectList);
         exception.setSize(aQueryObjectList.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.gl.balancesubjass.QueryObjectList 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   private GlComboBox getcbQryObj() {
      if(this.ivjcbQryObj == null) {
         try {
            this.ivjcbQryObj = new GlComboBox();
            this.ivjcbQryObj.setName("cbQryObj");
            this.ivjcbQryObj.setLocation(466, 55);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjcbQryObj;
   }

   public void editingCanceled(ChangeEvent e) {
   }

   public void editingStopped(ChangeEvent e) {
   }

   private AssRefPanel getAssRefP(String strKey) {
      if(this.ivjAssRefPanel1 == null) {
         try {
            this.ivjAssRefPanel1 = new AssRefPanel();
            this.ivjAssRefPanel1.setName("AssRefPanel1");
            this.ivjAssRefPanel1.setLocation(328, 180);
         } catch (Throwable var3) {
            this.handleException(var3);
         }
      }

      return this.ivjAssRefPanel1;
   }

   public Hashtable getHashTblRefValues() {
      return this.hashTblRefValues;
   }

   public String getPk_orgbook() {
      if(this.pk_orgbook == null) {
         this.pk_orgbook = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getPrimaryKey();
      }

      return this.pk_orgbook;
   }

   public GLQueryObj[] getQryObjVOs() {
      return this.m_vos;
   }

   public void initData(String sOrgbook) {
      try {
         this.subjRefDate = new BdinfoVO();
         this.subjRefDate.setBdname(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"));
         this.subjRefDate.setDispName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"));
         this.getcbQryObj().removeAllItems();
         this.getcbQryObj().addItem("", (Object)null);
         this.getcbQryObj().addItem(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"), (Object)null);
         this.refData1 = BDInfoDataCache.getInstance().queryBdinfoAll(sOrgbook);
         if(this.refData1 != null && this.refData1.length != 0) {
            this.showName = new String[this.refData1.length];
            String[] e = new String[this.refData1.length];
            IDocAttribute docAttrInstance = GLPubProxy.getRemoteIDocAttribute();

            for(int attrMap = 0; attrMap < this.showName.length; ++attrMap) {
               this.showName[attrMap] = this.refData1[attrMap].getDispName();
               e[attrMap] = this.refData1[attrMap].getPk_bdinfo();
               this.getcbQryObj().addItem(this.showName[attrMap], this.refData1[attrMap]);
            }

            HashMap var8 = docAttrInstance.findVisibleAttrsByDocsAndCorp(e, this.getPk_corp(sOrgbook));
            if(var8 != null) {
               Iterator pkKeysIter = var8.keySet().iterator();
               AssAttributeVO[] tempVOs = null;

               while(pkKeysIter.hasNext()) {
                  tempVOs = (AssAttributeVO[])var8.get(pkKeysIter.next());
                  if(tempVOs != null && tempVOs.length > 0) {
                     this.getcbQryObj().addItem(tempVOs[0].getAssDocName() + GlPubLangConstant.$_2002GL57_UPP2002gl57_000000, tempVOs);
                  }
               }
            }
         }
      } catch (Exception var7) {
         var7.printStackTrace();
      }

   }

   public void refresh(String orgbook) {
      this.setPk_orgbook(orgbook);
      this.initialize();
   }

   public void setHashTblRefValues(Hashtable newHashTblRefValues) {
      this.hashTblRefValues = newHashTblRefValues;
   }

   public void setPk_orgbook(String newPk_orgbook) {
      this.pk_orgbook = newPk_orgbook;
   }

   public void setTableModel() {
      this.m_tableModel = null;
   }

   private void setValueRef(int row) {
      try {
         GLQueryObj[] ex = this.getTableModel().getQuryObjVOs();
         boolean i = false;

         int var19;
         for(var19 = 0; var19 < this.refData1.length && !ex[row].getType().equals(this.refData1[var19].getDispName()); ++var19) {
            ;
         }

         BdinfoVO bdinfoVO = this.refData1[var19];
         String strNodeName = bdinfoVO.getRefnodename();
         String strBdName = bdinfoVO.getDispName();
         String strBdInfo = bdinfoVO.getPk_bdinfo();
         String sCorpPk = this.getPk_corp(this.getPk_orgbook());
         String key = this.getPk_orgbook() + strBdName;
         if(!this.hashTblRefValues.containsKey(key)) {
            AssRefPanel assrefTemp = null;

            try {
               assrefTemp = new AssRefPanel(strBdInfo, sCorpPk);
               assrefTemp.setSealedDataButtonShow(true);
               if(strNodeName != null && !strNodeName.trim().equals("")) {
                  assrefTemp.getRefModel().setSealedDataShow(true);
                  assrefTemp.setMultiSelectedEnabled(true);
               } else if(bdinfoVO.getSelfrefclass() != null) {
                  if(bdinfoVO.getIsdef() != null && bdinfoVO.getIsdef().booleanValue()) {
                     DefaultDefdocRefModel var20 = (DefaultDefdocRefModel)Class.forName(bdinfoVO.getSelfrefclass()).newInstance();
                     var20.setPkdefdef(bdinfoVO.getPk_defdef());
                     assrefTemp.setIsCustomDefined(true);
                     var20.setPk_corp(sCorpPk);
                     assrefTemp.setRefModel(var20);
                     assrefTemp.getRefModel().setSealedDataShow(true);
                     assrefTemp.setMultiSelectedEnabled(true);
                  } else {
                     Class classTemp = Class.forName(bdinfoVO.getSelfrefclass());

                     try {
                        Constructor ee = null;

                        AbstractRefModel e;
                        try {
                           ee = classTemp.getConstructor(new Class[]{String.class});
                           e = (AbstractRefModel)ee.newInstance(new Object[]{ClientEnvironment.getInstance().getCorporation().getPk_corp()});
                        } catch (NoSuchMethodException var15) {
                           e = (AbstractRefModel)classTemp.newInstance();
                        }

                        assrefTemp.setIsCustomDefined(true);
                        assrefTemp.setRefModel(e);
                        assrefTemp.getRefModel().setSealedDataShow(true);
                        assrefTemp.setMultiSelectedEnabled(true);
                        assrefTemp.getRefModel().setPk_corp(sCorpPk);
                     } catch (Exception var16) {
                        var16.printStackTrace();
                     }
                  }
               } else {
                  RefModel var21 = new RefModel();
                  var21.setDefaultFieldCount(2);
                  var21.setTableName(bdinfoVO.getBdname());
                  var21.setBlurFields(new String[]{bdinfoVO.getCodefieldname()});
                  var21.setFieldCode(new String[]{bdinfoVO.getCodefieldname(), bdinfoVO.getNamefieldname()});
                  var21.setHiddenFieldCode(new String[]{bdinfoVO.getTablepkname()});
                  var21.setTableName(bdinfoVO.getTablename());
                  var21.setPkFieldCode(bdinfoVO.getTablepkname());
                  if(bdinfoVO.getCorpfieldname() != null) {
                     var21.setWherePart(bdinfoVO.getCorpfieldname() + " =\'\'");
                  }

                  assrefTemp.setRefModel(var21);
                  assrefTemp.setIsCustomDefined(true);
                  assrefTemp.getRefModel().setSealedDataShow(true);
                  assrefTemp.setMultiSelectedEnabled(true);
               }

               assrefTemp.setTreeGridNodeMultiSelected(true);
               this.hashTblRefValues.put(key, assrefTemp);
               this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setCellEditor(assrefTemp);
            } catch (Exception var17) {
               Logger.error(bdinfoVO.getRefnodename() + "初始化错误", var17);
            }
         } else {
            this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setCellEditor((AssRefPanel)this.hashTblRefValues.get(key));
         }
      } catch (Exception var18) {
         var18.printStackTrace();
      }

   }

   private void setAttrRef(int row) {
      GLQueryObj[] glQryvo = this.getTableModel().getQuryObjVOs();
      GlComboBox cbQueryO = this.getcbQryObj();
      boolean selectedIndex = false;

      int var10;
      for(var10 = 0; var10 < cbQueryO.getItemCount() && !glQryvo[row].getType().equals(cbQueryO.getItemAt(var10)); ++var10) {
         ;
      }

      String name = cbQueryO.getItemAt(var10).toString();
      AssAttributesRefTbCellEditor attrsEditor = null;
      String strPKOrgBook = this.getPk_orgbook();
      String strPKCorp = this.getPk_corp(strPKOrgBook);
      String key = strPKCorp + name;
      if(!this.hashTblRefValues.containsKey(key)) {
         attrsEditor = new AssAttributesRefTbCellEditor();
         attrsEditor.setAttrs((AssAttributeVO[])((AssAttributeVO[])cbQueryO.getUserData(var10)));
         attrsEditor.setPkCorp(strPKCorp);
         attrsEditor.setPkGlOrgBook(strPKOrgBook);
         this.hashTblRefValues.put(key, attrsEditor);
      } else {
         attrsEditor = (AssAttributesRefTbCellEditor)this.hashTblRefValues.get(key);
      }

      this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setCellEditor(attrsEditor);
   }

   public String getPk_corp(String Pk_orgbook) {
      String corp = null;

      try {
         corp = BDGLOrgBookAccessor.getPk_corp(Pk_orgbook);
      } catch (Exception var4) {
         var4.printStackTrace();
      }

      return corp;
   }

   protected BdinfoVO[] getRefData1() {
      return this.refData1;
   }

   public String[] getVerInfo() {
      return this.verInfo;
   }

   public void setVerInfo(String[] verInfo) {
      this.verInfo = verInfo;
   }

   public class QueryObjectListTableModel extends VOTableModel implements CellEditorListener {

      String[] ColumnName = new String[]{NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000140"), NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230"), NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000231"), NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000232"), NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000233")};


      public QueryObjectListTableModel(ValueObject[] vos) {
         super(vos);
      }

      public QueryObjectListTableModel(Class c) {
         super(c);
      }

      public QueryObjectListTableModel(ValueObject vo) {
         super(vo);
      }

      public Class getColumnClass(int col) {
         return col != 3 && col != 4?String.class:Boolean.class;
      }

      public int getColumnCount() {
         return 5;
      }

      public String getColumnName(int col) {
         return this.ColumnName[col];
      }

      public GLQueryObj[] getQuryObjVOs() {
         return QueryObjectList.this.m_vos;
      }

      public int getRowCount() {
         return 10;
      }

      public void editingCanceled(ChangeEvent e) {
      }

      public void editingStopped(ChangeEvent e) {
      }

      public Object getValueAt(int row, int col) {
         GLQueryObj tempVO = (GLQueryObj)this.getVO(row);
         switch(col) {
         case 0:
            return tempVO.getTypeName();
         case 1:
            int i;
            if(tempVO.getTypeName() != null && tempVO.getTypeName().endsWith(GlPubLangConstant.$_2002GL57_UPP2002gl57_000000)) {
               if(tempVO.getTypeName().endsWith(GlPubLangConstant.$_2002GL57_UPP2002gl57_000000)) {
                  AttrsValueVO[] var10 = tempVO.getAttrsValues();
                  if(var10 == null) {
                     return "";
                  } else {
                     StringBuffer var11 = new StringBuffer("");

                     for(i = 0; i < var10.length; ++i) {
                        var11.append(NCLangRes4VoTransl.getNCLangRes().getStrByID("2002gl55", "UPP2002gl55-000321")).append(var10[i].getName() + ":");
                        if(var10[i].getAttrValues() != null) {
                           if(var10[i].getAttrValues()[0] instanceof AssVO) {
                              AssVO[] values = (AssVO[])((AssVO[])var10[i].getAttrValues());
                              StringBuffer strNames = new StringBuffer("");

                              for(int j = 0; j < values.length; ++j) {
                                 strNames.append("," + values[j].getCheckvaluename());
                              }

                              var11.append(strNames.toString().substring(1, strNames.length()));
                           } else {
                              var11.append(var10[i].getAttrValues()[0].toString());
                           }
                        } else {
                           var11.append("ALL");
                        }

                        var11.append(NCLangRes4VoTransl.getNCLangRes().getStrByID("2002gl55", "UPP2002gl55-000323"));
                     }

                     return var11.toString();
                  }
               }
            } else if(tempVO.getValueRange() == null) {
               return tempVO.getValueRange();
            } else {
               AssVO[] attrsValuesVOs = (AssVO[])tempVO.getValueRange();
               String strAttrsValues = "";

               for(i = 0; i < attrsValuesVOs.length; ++i) {
                  strAttrsValues = strAttrsValues + "," + attrsValuesVOs[i].getCheckvaluename();
               }

               if(strAttrsValues.length() == 0) {
                  return "";
               }

               return strAttrsValues.substring(1, strAttrsValues.length());
            }
         case 2:
            if(tempVO.getHeadEle()) {
               return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000197");
            }

            return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000192");
         case 3:
            return new Boolean(tempVO.getAccEle());
         case 4:
            return new Boolean(tempVO.getIncludeSub());
         default:
            return null;
         }
      }

      public boolean isCellEditable(int row, int col) {
         if(col != 0 && (this.getValueAt(row, 0) == null || this.getValueAt(row, 0).equals(""))) {
            return false;
         } else if(col == 0) {
            return true;
         } else if(col == 1) {
            String var5 = null;
            if(QueryObjectList.this.getVerInfo() != null) {
               var5 = QueryObjectList.this.getVerInfo()[0] + QueryObjectList.this.getVerInfo()[1];
            }

            if(this.getValueAt(row, 0).equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"))) {
               if(!QueryObjectList.this.hashTblRefValues.containsKey(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031") + var5)) {
                  AssRefPanel assRefTmp;
                  if(QueryObjectList.this.getVerInfo() == null) {
                     assRefTmp = new AssRefPanel();
                     assRefTmp.setSealedDataButtonShow(true);
                     assRefTmp.setRefNodeName("会计科目");
                     assRefTmp.getRefModel().setPk_GlOrgBook("2", QueryObjectList.this.getPk_orgbook());
                     assRefTmp.getRefModel().setSealedDataShow(true);
                     assRefTmp.setMultiSelectedEnabled(true);
                     QueryObjectList.this.hashTblRefValues.put(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031") + var5, assRefTmp);
                     QueryObjectList.this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setCellEditor(assRefTmp);
                  } else {
                     assRefTmp = new AssRefPanel();
                     assRefTmp.setRefNodeName("会计科目多版本");
                     assRefTmp.setSealedDataButtonShow(true);
                     assRefTmp.getRefModel().setPara(QueryObjectList.this.getVerInfo());
                     assRefTmp.getRefModel().setPk_GlOrgBook("2", QueryObjectList.this.getPk_orgbook());
                     assRefTmp.getRefModel().setSealedDataShow(true);
                     assRefTmp.setVersionButtonShow(false);
                     assRefTmp.setMultiSelectedEnabled(true);
                     QueryObjectList.this.hashTblRefValues.put(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031") + var5, assRefTmp);
                     QueryObjectList.this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setCellEditor(assRefTmp);
                  }
               } else {
                  QueryObjectList.this.getTable().getColumn(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000230")).setCellEditor((AssRefPanel)QueryObjectList.this.hashTblRefValues.get(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031") + var5));
               }
            } else if(!this.getValueAt(row, 0).toString().endsWith(GlPubLangConstant.$_2002GL57_UPP2002gl57_000000)) {
               QueryObjectList.this.setValueRef(row);
            } else {
               QueryObjectList.this.setAttrRef(row);
            }

            return true;
         } else {
            if(col == 3) {
               if(this.getValueAt(row, 2).toString().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000197"))) {
                  return false;
               }

               for(int i = 0; i < 10; ++i) {
                  if(this.getValueAt(i, 2).toString().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000192")) && this.getQuryObjVOs()[i].getAccEle() && i < row) {
                     return false;
                  }
               }
            } else if(col == 4 && this.getValueAt(row, 0).toString().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"))) {
               return false;
            }

            return true;
         }
      }

      public void setQuryObjVOs(GLQueryObj[] vos) throws Exception {
         this.clearTable();
         this.addVO(vos);
         QueryObjectList.this.m_vos = vos;
      }

      public void setValueAt(Object value, int r, int c) {
         int i;
         switch(c) {
         case 0:
            if(value == null) {
               return;
            }

            if(value.toString().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"))) {
               this.getQuryObjVOs()[r].setType(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"));
               this.getQuryObjVOs()[r].setIncludeSub(false);
            } else if(value.toString().equals("")) {
               this.getQuryObjVOs()[r].setType("");
               this.getQuryObjVOs()[r].setAccEle(false);
            } else if(value.toString().endsWith(GlPubLangConstant.$_2002GL57_UPP2002gl57_000000)) {
               this.getQuryObjVOs()[r].setType(value.toString());
            }

            for(i = 0; i < 10; ++i) {
               if(this.getQuryObjVOs()[i].getTypeName() != null && !this.getQuryObjVOs()[i].getTypeName().equals("") && !this.getQuryObjVOs()[i].getHeadEle() && this.getQuryObjVOs()[i].getAccEle() && i < r) {
                  this.getQuryObjVOs()[r].setAccEle(true);
               }
            }

            this.getQuryObjVOs()[r].setTypeName(value.toString());

            for(i = 0; i < QueryObjectList.this.refData1.length; ++i) {
               if(value.toString().equals(QueryObjectList.this.refData1[i].getDispName())) {
                  this.getQuryObjVOs()[r].setType(QueryObjectList.this.refData1[i].getDispName());
                  break;
               }
            }

            this.getQuryObjVOs()[r].setValueRange((AssVO[])null);
            this.getQuryObjVOs()[r].setHeadEle(false);
            this.getQuryObjVOs()[r].setIncludeSub(false);
            this.getQuryObjVOs()[r].setAttrsValues((AttrsValueVO[])null);
            break;
         case 1:
            if(this.getQuryObjVOs()[r].getType() != null && !this.getQuryObjVOs()[r].getTypeName().endsWith(GlPubLangConstant.$_2002GL57_UPP2002gl57_000000)) {
               AssVO[] var9 = (AssVO[])((AssVO[])value);
               if(value != null && var9.length != 0) {
                  var9 = (AssVO[])((AssVO[])value);
               } else {
                  var9 = new AssVO[]{new AssVO()};
               }

               if(!this.getQuryObjVOs()[r].getTypeName().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"))) {
                  int iIndex;
                  for(iIndex = 0; iIndex < QueryObjectList.this.refData1.length && !this.getQuryObjVOs()[r].getType().equals(QueryObjectList.this.refData1[iIndex].getDispName()); ++iIndex) {
                     ;
                  }

                  for(int i1 = 0; i1 < var9.length; ++i1) {
                     String typeName = QueryObjectList.this.refData1[iIndex].getDispName();
                     var9[i1].setChecktypename(typeName);
                     var9[i1].setPk_Checktype(QueryObjectList.this.refData1[iIndex].getPk_bdinfo());
                     var9[i1].setChecktypecode(QueryObjectList.this.refData1[iIndex].getBdcode());
                  }
               }

               this.getQuryObjVOs()[r].setValueRange(var9);
            } else {
               AttrsValueVO[] var8 = (AttrsValueVO[])((AttrsValueVO[])value);
               this.getQuryObjVOs()[r].setAttrsValues(var8);
            }
            break;
         case 2:
            if(value.toString().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000197"))) {
               this.getQuryObjVOs()[r].setHeadEle(true);
               this.getQuryObjVOs()[r].setAccEle(false);
            } else if(value.toString().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000192"))) {
               this.getQuryObjVOs()[r].setHeadEle(false);

               for(i = 0; i < 10; ++i) {
                  if(this.getQuryObjVOs()[i].getType() != null && !this.getQuryObjVOs()[i].getType().equals("") && !this.getQuryObjVOs()[i].getHeadEle() && this.getQuryObjVOs()[i].getAccEle() && i < r) {
                     this.getQuryObjVOs()[r].setAccEle(true);
                  }
               }
            }
            break;
         case 3:
            if(!this.getQuryObjVOs()[r].getHeadEle()) {
               this.getQuryObjVOs()[r].setAccEle((new Boolean(value.toString())).booleanValue());
               if((new Boolean(value.toString())).booleanValue()) {
                  for(i = r + 1; i < 10; ++i) {
                     if(this.getQuryObjVOs()[i].getType() != null && !this.getQuryObjVOs()[i].getType().equals("") && !this.getQuryObjVOs()[i].getHeadEle()) {
                        this.getQuryObjVOs()[i].setAccEle(true);
                     }
                  }

                  return;
               } else {
                  this.getQuryObjVOs()[r].setAccEle((new Boolean(false)).booleanValue());
               }
            } else {
               this.getQuryObjVOs()[r].setAccEle(false);
            }
            break;
         case 4:
            if(this.getQuryObjVOs()[r].getType().equals(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000031"))) {
               this.getQuryObjVOs()[r].setIncludeSub(false);
            } else {
               this.getQuryObjVOs()[r].setIncludeSub((new Boolean(value.toString())).booleanValue());
            }
         }

      }
   }
}
